Summary:        Temporary project to work on GnuPG extensions
Name:           newpg
Version:        0.9.4
Release:        0.fdr.1.rh90
Epoch:          0
License:        GPL
Group:          System Environment/Libraries
URL:            http://www.gnupg.org/
Source:         ftp://ftp.gnupg.org/gcrypt/alpha/aegypten/newpg-0.9.4.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libgcrypt-devel >= 0:1.1.8, libksba-devel >= 0:0.4.6, pth-devel
Requires:       %{_bindir}/pinentry
Provides:       gpgsm, gpg-agent

%description
NewPG is a temporary project to work on GnuPG extensions.  It will be
merged into the regular GnuPG sources someday.

# -----------------------------------------------------------------------------

%prep
%setup -q

# -----------------------------------------------------------------------------

%build
%configure --enable-gpg
make %{?_smp_mflags}
make check

# -----------------------------------------------------------------------------

%install
rm -rf %{buildroot}
%makeinstall
%find_lang %{name}
rm -f %{buildroot}%{_infodir}/dir

# -----------------------------------------------------------------------------

%clean
rm -rf %{buildroot}

# -----------------------------------------------------------------------------

%post
install-info %{_infodir}/gnupg.info.gz %{_infodir}/dir

%postun
if [ "$1" = "0" ]; then
  install-info --delete %{_infodir}/gnupg.info.gz %{_infodir}/dir
fi

# -----------------------------------------------------------------------------

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README THANKS TODO VERSION
%{_bindir}/*
%{_libdir}/newpg
%{_infodir}/*

# -----------------------------------------------------------------------------

%changelog
* Sat Mar 22 2003 Ville Skytt <ville.skytta at iki.fi> - 0:0.9.4-0.fdr.1
- Updated to current Fedora guidelines.

* Tue Feb 12 2003 Warren Togami <warren@togami.com> 0.9.4-1.fedora.3
- info/dir temporary workaround

* Sat Feb  8 2003 Ville Skytt <ville.skytta at iki.fi> - 0.9.4-1.fedora.1
- First Fedora release, based on Mandrake version.

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.4-1mdk
- Update from Fabrice MARIE <fabrice-marie-sec@ifrance.com> 

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.2-1mdk
- first package
